Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 687)
@@ -61,7 +61,6 @@
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.objects.BaseParameters;
 import org.txm.rcp.IImageKeys;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.imports.sections.EditionSection;
 import org.txm.rcp.editors.imports.sections.EncodingSection;
 import org.txm.rcp.editors.imports.sections.FontSection;
@@ -74,6 +73,7 @@
 import org.txm.rcp.editors.imports.sections.TokenizerSection;
 import org.txm.rcp.editors.imports.sections.UISection;
 import org.txm.rcp.handlers.scripts.ExecuteImportScript;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.utils.AsciiUtils;
 import org.txm.utils.logger.Log;
 import org.w3c.dom.Element;
@@ -131,7 +131,7 @@
 	 * @param corpusname 
 	 */
 	public CorpusPage(ImportFormEditor editor) {
-		super(editor, RCPMessages.CorpusPage_30, RCPMessages.CorpusPage_30); 
+		super(editor, TXMUIMessages.CorpusPage_30, TXMUIMessages.CorpusPage_30); 
 		this.editor = editor;
 	}
 	
@@ -225,7 +225,7 @@
 		gdata.colspan = 2;
 		separatorLabel.setLayoutData(gdata);
 
-		Label mandatoryLabel = toolkit.createLabel(form.getBody(), RCPMessages.CorpusPage_40, SWT.WRAP);
+		Label mandatoryLabel = toolkit.createLabel(form.getBody(), TXMUIMessages.CorpusPage_40, SWT.WRAP);
 		gdata = new TableWrapData(TableWrapData.FILL, TableWrapData.MIDDLE, 2,1);
 		gdata.colspan = 2;
 		mandatoryLabel.setLayoutData(gdata);
@@ -712,7 +712,7 @@
 
 		Label titleLabel = toolkit.createLabel(hyperlinks,"", SWT.WRAP); //$NON-NLS-1$
 		titleLabel.setLayoutData(new TableWrapData(TableWrapData.FILL, TableWrapData.TOP));
-		titleLabel.setText(NLS.bind(RCPMessages.MainPage_2, 
+		titleLabel.setText(NLS.bind(TXMUIMessages.MainPage_2, 
 				ImportModuleCustomization.getName(editor.getGroovyScript().getName())));
 		FontData[] fD = titleLabel.getFont().getFontData();
 		fD[0].setHeight(16);
@@ -735,7 +735,7 @@
 						startImport();
 					}
 				} else 
-					System.out.println(RCPMessages.CorpusPage_66);
+					System.out.println(TXMUIMessages.CorpusPage_66);
 			}
 		};
 
@@ -757,9 +757,9 @@
 		RowLayout hLayout = new RowLayout();
 		hLayout.center = true;
 		line1.setLayout(hLayout);
-		toolkit.createLabel(line1, RCPMessages.CorpusPage_35, SWT.WRAP);
+		toolkit.createLabel(line1, TXMUIMessages.CorpusPage_35, SWT.WRAP);
 
-		Hyperlink hyperlink1 = toolkit.createHyperlink(line1, RCPMessages.CorpusPage_37, SWT.WRAP);
+		Hyperlink hyperlink1 = toolkit.createHyperlink(line1, TXMUIMessages.CorpusPage_37, SWT.WRAP);
 		hyperlink1.addHyperlinkListener(selectDirHListener);
 
 		ImageHyperlink openImportLink2 = toolkit.createImageHyperlink(line1, SWT.WRAP);
@@ -773,8 +773,8 @@
 		hLayout = new RowLayout();
 		hLayout.center = true;
 		line2.setLayout(hLayout);
-		toolkit.createLabel(line2, RCPMessages.CorpusPage_38, SWT.WRAP);
-		toolkit.createLabel(line2, RCPMessages.CorpusPage_39, SWT.WRAP);
+		toolkit.createLabel(line2, TXMUIMessages.CorpusPage_38, SWT.WRAP);
+		toolkit.createLabel(line2, TXMUIMessages.CorpusPage_39, SWT.WRAP);
 
 		Composite line4 = toolkit.createComposite(form.getBody());
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL, 2, 1);
@@ -783,8 +783,8 @@
 		hLayout = new RowLayout();
 		hLayout.center = true;
 		line4.setLayout(hLayout);
-		toolkit.createLabel(line4, RCPMessages.CorpusPage_42);
-		Hyperlink hyperlink3 = toolkit.createHyperlink(line4, RCPMessages.CorpusPage_43, SWT.WRAP);
+		toolkit.createLabel(line4, TXMUIMessages.CorpusPage_42);
+		Hyperlink hyperlink3 = toolkit.createHyperlink(line4, TXMUIMessages.CorpusPage_43, SWT.WRAP);
 		hyperlink3.addHyperlinkListener(startImportListener);
 		ImageHyperlink startImportLink2 = toolkit.createImageHyperlink(line4, SWT.NULL);
 		startImportLink2.setImage(IImageKeys.getImage(IImageKeys.START));
@@ -811,15 +811,15 @@
 			String basename = srcDir.getName();
 			basename = AsciiUtils.buildId(basename).toUpperCase(); // force binary corpus name to uppercase
 			if (basename.length() == 0) {
-				System.out.println(RCPMessages.CorpusPage_92+basename);
+				System.out.println(TXMUIMessages.CorpusPage_92+basename);
 				return;
 			}
 			
-			Log.warning(RCPMessages.CorpusPage_46);
+			Log.warning(TXMUIMessages.CorpusPage_46);
 			BaseParameters.createEmptyParams(paramFile, basename);
 		}
 		if (!paramFile.exists()) {
-			System.out.println(RCPMessages.CorpusPage_47);
+			System.out.println(TXMUIMessages.CorpusPage_47);
 			return;
 		}
 		params = new BaseParameters(paramFile);
@@ -829,14 +829,14 @@
 		// force root directory to the selected source directory, see the #1263 ticket
 		params.rootDir = srcDir.getAbsolutePath(); 
 		
-		System.out.println(RCPMessages.CorpusPage_48 + paramFile);
+		System.out.println(TXMUIMessages.CorpusPage_48 + paramFile);
 		Log.info("Params: "+params); //$NON-NLS-1$
 
 		File metadataFile = new File(params.rootDir, "metadata.csv"); //$NON-NLS-1$
 		if (metadataFile.exists())
 			this.editor.getMetaPage().setMetadataFile(metadataFile);
 
-		Log.info(RCPMessages.CorpusPage_50+moduleParams);
+		Log.info(TXMUIMessages.CorpusPage_50+moduleParams);
 		this.setPartName(params.getCorpusName());
 
 		if (infosSection != null && !infosSection.isDisposed()) {
@@ -906,7 +906,7 @@
 	 * @return true if import parameters are saved
 	 */
 	public boolean saveConfig() {
-		System.out.println(RCPMessages.CorpusPage_52);
+		System.out.println(TXMUIMessages.CorpusPage_52);
 		
 		params.rootDir = srcDir.getAbsolutePath();
 		params.scriptFile = editor.getGroovyScript().getName();
@@ -1019,12 +1019,12 @@
 			srcDir = new File(path);
 
 			if (!srcDir.isDirectory()) {
-				System.out.println(RCPMessages.CorpusPage_90+srcDir);
+				System.out.println(TXMUIMessages.CorpusPage_90+srcDir);
 				return;
 			}
 
 			if (!(srcDir.canRead() && srcDir.canExecute())) {
-				System.out.println(RCPMessages.CorpusPage_91+srcDir);
+				System.out.println(TXMUIMessages.CorpusPage_91+srcDir);
 				return;
 			}
 			
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TxtEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TxtEditor.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TxtEditor.java	(revision 687)
@@ -43,7 +43,7 @@
 import org.eclipse.ui.editors.text.TextEditor;
 import org.eclipse.ui.ide.FileStoreEditorInput;
 import org.txm.core.results.TXMResult;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.utils.CharsetDetector;
 
@@ -113,7 +113,7 @@
 			if (encoding != null && encodingSupport != null) {
 				try {
 					encodingSupport.setEncoding(encoding);
-					System.out.println(RCPMessages.TxtEditor_0+f+RCPMessages.TxtEditor_1+encoding);
+					System.out.println(TXMUIMessages.TxtEditor_0+f+TXMUIMessages.TxtEditor_1+encoding);
 				} catch(Throwable e) { }
 
 			}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMMultiPageEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMMultiPageEditor.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMMultiPageEditor.java	(revision 687)
@@ -35,8 +35,8 @@
 import org.eclipse.ui.PartInitException;
 import org.eclipse.ui.part.EditorPart;
 import org.eclipse.ui.part.MultiPageEditorPart;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.input.IProvidingMultiPageEditorInput;
+import org.txm.rcp.messages.TXMUIMessages;
 
 /**
  * A GenericMultiPageEditor is a MultiPageEditor whose content and behavior is
@@ -80,7 +80,7 @@
 		IEditorInput input = getEditorInput();
 		if (!(input instanceof IProvidingMultiPageEditorInput)) {
 			throw new IllegalArgumentException(NLS.bind(
-					RCPMessages.GenericMultiPageEditor_1, input.getName()));
+					TXMUIMessages.GenericMultiPageEditor_1, input.getName()));
 		}
 
 		editors = ((IProvidingMultiPageEditorInput) input).getEditors();
@@ -89,7 +89,7 @@
 
 		if (editors.size() != inputs.size()) {
 			throw new IllegalArgumentException(NLS.bind(
-					RCPMessages.GenericMultiPageEditor_3, editors.size(), inputs.size()));
+					TXMUIMessages.GenericMultiPageEditor_3, editors.size(), inputs.size()));
 		}
 
 		for (int i = 0; i < editors.size(); i++) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/listeners/ComputeSelectionListener.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/listeners/ComputeSelectionListener.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/listeners/ComputeSelectionListener.java	(revision 687)
@@ -5,7 +5,6 @@
 
 import org.eclipse.jface.viewers.ISelectionChangedListener;
 import org.eclipse.jface.viewers.SelectionChangedEvent;
-import org.eclipse.jface.viewers.Viewer;
 import org.eclipse.swt.events.SelectionEvent;
 import org.eclipse.swt.events.SelectionListener;
 import org.txm.rcp.editors.TXMEditor;
@@ -40,7 +39,7 @@
 
 	@Override
 	public void selectionChanged(SelectionChangedEvent event) {
-		// to skip programmatically setSelection() call
+		// to skip programmatically setSelection() calls
 		if(!mustIgnoreEvent(event))	{
 			this.editor.compute(false);
 		}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/provider/ElementTreeLabelProvider.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/provider/ElementTreeLabelProvider.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/provider/ElementTreeLabelProvider.java	(revision 687)
@@ -3,7 +3,7 @@
 import org.eclipse.jface.viewers.ColumnLabelProvider;
 import org.eclipse.swt.graphics.Image;
 import org.w3c.dom.Element;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 
 public class ElementTreeLabelProvider extends ColumnLabelProvider {
 	
@@ -31,11 +31,11 @@
 			} else if (elem.getNodeName().equals(childName)) {
 				return show(elem, index, childAttrs);
 			} else {
-				return RCPMessages.ElementTreeLabelProvider_0;
+				return TXMUIMessages.ElementTreeLabelProvider_0;
 			}
 			
 		}
-		return RCPMessages.ElementTreeLabelProvider_1;
+		return TXMUIMessages.ElementTreeLabelProvider_1;
 	}
 
 	private String show(Element elem, int index, String[] attrs) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/ComplexSubcorpusPanel.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/ComplexSubcorpusPanel.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/ComplexSubcorpusPanel.java	(revision 687)
@@ -32,7 +32,6 @@
 import java.util.List;
 
 import org.eclipse.jface.viewers.ArrayContentProvider;
-import org.eclipse.jface.viewers.ComboViewer;
 import org.eclipse.jface.viewers.ISelection;
 import org.eclipse.jface.viewers.IStructuredSelection;
 import org.eclipse.jface.viewers.ListViewer;
@@ -47,8 +46,8 @@
 import org.eclipse.swt.widgets.Group;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Text;
-import org.txm.rcp.RCPMessages;
-import org.txm.rcp.utils.Logger;
+import org.txm.core.messages.TXMCoreMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
@@ -132,20 +131,20 @@
 		}
 
 		Group andorGroup = new Group(this, SWT.SHADOW_ETCHED_IN);
-		andorGroup.setText(RCPMessages.ComplexSubcorpusPanel_0);
+		andorGroup.setText(TXMUIMessages.ComplexSubcorpusPanel_0);
 		andorGroup.setLayout(new GridLayout(2, false));
 		andorGroup.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false, 2, 1));
 
 		andBtn = new Button(andorGroup, SWT.RADIO);
-		andBtn.setText(RCPMessages.ComplexSubcorpusPanel_1);
+		andBtn.setText(TXMUIMessages.ComplexSubcorpusPanel_1);
 		andBtn.setSelection(true);
 
 		Button orBtn = new Button(andorGroup, SWT.RADIO);
-		orBtn.setText(RCPMessages.ComplexSubcorpusPanel_2);
+		orBtn.setText(TXMUIMessages.ComplexSubcorpusPanel_2);
 		
 		//structure choice
 		Label l = new Label(this, SWT.None);
-		l.setText(RCPMessages.ParaBrowserEditor_5);
+		l.setText(TXMCoreMessages.common_structure);
 		structCombo = new Combo(this, SWT.READ_ONLY);
 		structCombo.addSelectionListener(new SelectionListener() {
 			@Override
@@ -178,11 +177,11 @@
 		// Add/Rmv contrainte
 		// affichage requete
 		l = new Label(this, SWT.NONE);
-		l.setText(RCPMessages.ComplexSubcorpusPanel_4);
+		l.setText(TXMUIMessages.ComplexSubcorpusPanel_4);
 		queryField = new Text(this, SWT.BORDER);
 		queryField.setLayoutData(new GridData(GridData.FILL,GridData.FILL,true, false));
 		Button refreshBtn = new Button(this, SWT.PUSH);
-		refreshBtn.setText(RCPMessages.ComplexSubcorpusPanel_5);
+		refreshBtn.setText(TXMUIMessages.ComplexSubcorpusPanel_5);
 		refreshBtn.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -379,8 +378,8 @@
 			testCombo.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 			testCombo.add("is"); //$NON-NLS-1$
 			testCombo.add("is not"); //$NON-NLS-1$
-			testCombo.add(RCPMessages.QueryAssistDialog_13);
-			testCombo.add(RCPMessages.ComplexSubcorpusPanel_16);
+			testCombo.add(TXMUIMessages.QueryAssistDialog_13);
+			testCombo.add(TXMUIMessages.ComplexSubcorpusPanel_16);
 			testCombo.select(0);
 
 			valueCombo = new ListViewer(this, SWT.SINGLE | SWT.V_SCROLL | SWT.BORDER | SWT.VIRTUAL);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/PropertiesSelector.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/PropertiesSelector.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/PropertiesSelector.java	(revision 687)
@@ -41,7 +41,7 @@
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Listener;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.ViewPropertySelectionDialog;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
@@ -90,7 +90,7 @@
 		this.setLayout(new GridLayout(3, false));
 		// = properties
 		propLabel = new Label(this, SWT.NONE);
-		propLabel.setText(RCPMessages.PropertiesSelector_1);
+		propLabel.setText(TXMUIMessages.PropertiesSelector_1);
 		propLabel
 				.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, true));
 
@@ -102,7 +102,7 @@
 		openeditdialog = new Button(this, SWT.PUSH);
 		openeditdialog.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false,
 				true));
-		openeditdialog.setText(RCPMessages.PropertiesSelector_2);
+		openeditdialog.setText(TXMUIMessages.PropertiesSelector_2);
 
 		openeditdialog.addSelectionListener(new SelectionListener() {
 			@Override
@@ -209,7 +209,7 @@
 				}
 			}
 		} catch (CqiClientException e) {
-			Log.severe(NLS.bind(RCPMessages.PropertiesSelector_0, e.getMessage()));
+			Log.severe(NLS.bind(TXMUIMessages.PropertiesSelector_0, e.getMessage()));
 		}
 	}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/AssistedQueryWidget.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/AssistedQueryWidget.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/AssistedQueryWidget.java	(revision 687)
@@ -37,7 +37,7 @@
 import org.eclipse.swt.widgets.Button;
 import org.eclipse.swt.widgets.Composite;
 import org.txm.rcp.IImageKeys;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.QueryAssistDialog;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.query.Query;
@@ -71,7 +71,7 @@
 		magicstick.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
 				false, true));
 		magicstick.setImage(IImageKeys.getImage(IImageKeys.ACTION_ASSISTQUERY));
-		magicstick.setToolTipText(RCPMessages.AssistedQueryWidget_0);
+		magicstick.setToolTipText(TXMUIMessages.AssistedQueryWidget_0);
 		magicstick.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/NamedAssistedQueryWidget.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/NamedAssistedQueryWidget.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/NamedAssistedQueryWidget.java	(revision 687)
@@ -40,7 +40,7 @@
 import org.eclipse.swt.widgets.Text;
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.rcp.IImageKeys;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.QueryAssistDialog;
 import org.txm.searchengine.cqp.corpus.Corpus;
 
@@ -84,7 +84,7 @@
 		magicstick = new Button(this, SWT.PUSH);
 		magicstick.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, false, true));
 		magicstick.setImage(IImageKeys.getImage(IImageKeys.ACTION_ASSISTQUERY));
-		magicstick.setToolTipText(RCPMessages.AssistedQueryWidget_0);
+		magicstick.setToolTipText(TXMUIMessages.AssistedQueryWidget_0);
 		magicstick.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/SimpleSubcorpusPanel.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/SimpleSubcorpusPanel.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/SimpleSubcorpusPanel.java	(revision 687)
@@ -17,8 +17,8 @@
 import org.eclipse.swt.widgets.Combo;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Label;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.actions.CreateSubcorpusDialog;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
@@ -50,14 +50,14 @@
 		this.setLayout(layout);
 
 		Label structureLabel = new Label(this, SWT.NONE);
-		structureLabel.setText(RCPMessages.CreatePartitionDialog_2);
+		structureLabel.setText(TXMUIMessages.CreatePartitionDialog_2);
 		structureLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER, false, false));
 
 		structuralUnitsCombo = new Combo(this, SWT.READ_ONLY);
 		structuralUnitsCombo.setLayoutData(new GridData(GridData.FILL,GridData.FILL, true, false));
 
 		Label propertyLabel = new Label(this, SWT.NONE);
-		propertyLabel.setText(RCPMessages.CreatePartitionDialog_4);
+		propertyLabel.setText(TXMUIMessages.CreatePartitionDialog_4);
 		propertyLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
 				false, false));
 
@@ -65,7 +65,7 @@
 		propertyCombo.setLayoutData(new GridData(GridData.FILL,GridData.FILL, true, false));
 
 		Label valuesLabel = new Label(this, SWT.NONE);
-		valuesLabel.setText(RCPMessages.CreateSubcorpusDialog_6);
+		valuesLabel.setText(TXMUIMessages.CreateSubcorpusDialog_6);
 		valuesLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER, false, false));
 
 		valueCombo = new ListViewer(this, SWT.MULTI |SWT.V_SCROLL | SWT.BORDER | SWT.VIRTUAL);
@@ -89,7 +89,7 @@
 		try {
 			structuralUnits = corpus.getOrderedStructuralUnits();
 		} catch (Exception e) {
-			Log.severe(RCPMessages.ERROR
+			Log.severe(TXMUIMessages.ERROR
 					+ Log.toString(e));
 			return;
 		}
@@ -130,7 +130,7 @@
 
 			@Override
 			public void widgetSelected(SelectionEvent event) {
-				System.out.println(RCPMessages.SimpleSubcorpusPanel_0);
+				System.out.println(TXMUIMessages.SimpleSubcorpusPanel_0);
 				reloadProperties();
 			}
 		});
@@ -191,7 +191,7 @@
 			values = selectedStructuralUnitProperty.getOrderedValues(corpus);
 			Collections.sort(values);
 		} catch (CqiClientException e) {
-			Log.severe(RCPMessages.ERROR
+			Log.severe(TXMUIMessages.ERROR
 					+ Log.toString(e));
 			return;
 		}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/PartitionComposer.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/PartitionComposer.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/PartitionComposer.java	(revision 687)
@@ -48,7 +48,7 @@
 import org.eclipse.swt.widgets.Text;
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.rcp.IImageKeys;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Partition;
@@ -131,7 +131,7 @@
 		layout.center = true;
 		firstArea.setLayout(layout);
 		Label structLabel = new Label(firstArea, SWT.NONE);
-		structLabel.setText(RCPMessages.PartitionComposer_0);
+		structLabel.setText(TXMUIMessages.PartitionComposer_0);
 		structCombo = new Combo(firstArea, SWT.READ_ONLY | SWT.SINGLE);
 		try {
 			List<StructuralUnit> sus = corpus.getOrderedStructuralUnits();
@@ -191,7 +191,7 @@
 		GridLayout layout2 = new GridLayout(2, false);
 		dispoArea.setLayout(layout2);
 		Label dispoLabel = new Label(dispoArea, SWT.NONE);
-		dispoLabel.setText(RCPMessages.PartitionComposer_2);
+		dispoLabel.setText(TXMUIMessages.PartitionComposer_2);
 		dispoLabel.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
 				false, false));
 		availableList = new org.eclipse.swt.widgets.List(dispoArea, SWT.MULTI
@@ -204,7 +204,7 @@
 		// btn
 		btnArea.setLayout(new RowLayout());
 		Button addPart = new Button(btnArea, SWT.PUSH);
-		addPart.setText(RCPMessages.PartitionComposer_3);
+		addPart.setText(TXMUIMessages.PartitionComposer_3);
 		addPart.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -213,7 +213,7 @@
 				GridData gdata = new GridData(GridData.FILL, GridData.FILL, true, true);
 				gdata.minimumHeight = 200;
 				p.setLayoutData(gdata);
-				p.setTitle(RCPMessages.PartitionComposer_5 + (parts.size() + 1));
+				p.setTitle(TXMUIMessages.PartitionComposer_5 + (parts.size() + 1));
 				parts.add(p);
 				partArea.layout(true);
 				updateDisplay();
@@ -225,7 +225,7 @@
 			}
 		});
 		Button rmvPart = new Button(btnArea, SWT.PUSH);
-		rmvPart.setText(RCPMessages.PartitionComposer_6);
+		rmvPart.setText(TXMUIMessages.PartitionComposer_6);
 		rmvPart.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -250,7 +250,7 @@
 		GridData gdata = new GridData(GridData.FILL, GridData.FILL, true, true);
 		gdata.minimumHeight = 200;
 		p.setLayoutData(gdata);
-		p.setTitle(RCPMessages.PartitionComposer_5 + (parts.size() + 1));
+		p.setTitle(TXMUIMessages.PartitionComposer_5 + (parts.size() + 1));
 		parts.add(p);
 
 	}
@@ -443,7 +443,7 @@
 			Label titleLabel = new Label(this, SWT.NONE);
 			titleLabel.setLayoutData(new GridData(GridData.FILL,
 					GridData.CENTER, false, false, 1, 1));
-			titleLabel.setText(RCPMessages.PartitionComposer_8);
+			titleLabel.setText(TXMUIMessages.PartitionComposer_8);
 			Font f = titleLabel.getFont();
 			FontData defaultFont = f.getFontData()[0];
 			defaultFont.setStyle(SWT.BOLD);
@@ -479,7 +479,7 @@
 			Button add = new Button(this, SWT.PUSH);
 			add.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true,
 					false, 2, 1));
-			add.setText(RCPMessages.PartitionComposer_9);
+			add.setText(TXMUIMessages.PartitionComposer_9);
 			add.addSelectionListener(new SelectionListener() {
 				@Override
 				public void widgetSelected(SelectionEvent e) {
@@ -502,7 +502,7 @@
 			Button rmv = new Button(this, SWT.PUSH);
 			rmv.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true,
 					false, 2, 1));
-			rmv.setText(RCPMessages.PartitionComposer_11);
+			rmv.setText(TXMUIMessages.PartitionComposer_11);
 			rmv.addSelectionListener(new SelectionListener() {
 				@Override
 				public void widgetSelected(SelectionEvent e) {
@@ -583,7 +583,7 @@
 	 */
 	public Partition getPartition() {
 		if (this.parts.size() == 0) {
-			System.out.println(RCPMessages.PartitionComposer_1);
+			System.out.println(TXMUIMessages.PartitionComposer_1);
 			return null;
 		}
 		
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/FloatField.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/FloatField.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/FloatField.java	(revision 687)
@@ -5,7 +5,7 @@
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Text;
 import org.kohsuke.args4j.NamedOptionDef;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 
 public class FloatField extends LabelField {
 	Text dt;
@@ -21,7 +21,7 @@
 		try {
 			return Float.parseFloat(dt.getText());
 		} catch (Exception e) { 
-			System.out.println(RCPMessages.ERROR+e.getMessage());
+			System.out.println(TXMUIMessages.ERROR+e.getMessage());
 		}
 		return null;
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog.java	(revision 687)
@@ -31,7 +31,7 @@
 import org.kohsuke.args4j.spi.OptionHandler;
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.searchengine.cqp.corpus.query.Query;
 import org.txm.utils.logger.Log;
 
@@ -148,7 +148,7 @@
 			} else if ("Boolean".equals(widgetName)) { //$NON-NLS-1$
 				value = Boolean.parseBoolean(stringValue);
 			} else {
-				System.out.println(RCPMessages.ParametersDialog_10+widgetName+RCPMessages.FileTreeContentProvider_4);
+				System.out.println(TXMUIMessages.ParametersDialog_10+widgetName+TXMUIMessages.FileTreeContentProvider_4);
 			}
 		}
 	}
@@ -162,7 +162,7 @@
 		super.configureShell(newShell);
 		int idx2 = script.lastIndexOf("Macro");
 		if (idx2 < 0) idx2 = script.length();
-		title = RCPMessages.bind(RCPMessages.ParametersDialog_0,script.substring(script.lastIndexOf(".")+1, idx2));
+		title = TXMUIMessages.bind(TXMUIMessages.ParametersDialog_0,script.substring(script.lastIndexOf(".")+1, idx2));
 		newShell.setText(title);
 	}
 
@@ -184,7 +184,7 @@
 		if (numberOfParameters == 0) button.setEnabled(false);
 
 		super.createButtonsForButtonBar(parent);
-		this.getButton(IDialogConstants.OK_ID).setText(RCPMessages.ParametersDialog_1);
+		this.getButton(IDialogConstants.OK_ID).setText(TXMUIMessages.ParametersDialog_1);
 	}
 
 	protected Control createButtonBar(Composite parent) {
@@ -259,7 +259,7 @@
 			} else if ("Boolean".equals(widgetName)) { //$NON-NLS-1$
 				widget = new BooleanField(composite, SWT.NONE, option);
 			} else {
-				System.out.println(RCPMessages.ParametersDialog_10+widgetName+RCPMessages.FileTreeContentProvider_4);
+				System.out.println(TXMUIMessages.ParametersDialog_10+widgetName+TXMUIMessages.FileTreeContentProvider_4);
 			}
 
 			if (widget != null) {
@@ -273,7 +273,7 @@
 			}
 			//			}
 		}
-		new Label(composite, SWT.NONE).setText(RCPMessages.ParametersDialog_11);
+		new Label(composite, SWT.NONE).setText(TXMUIMessages.ParametersDialog_11);
 
 		return composite;
 	}
@@ -291,7 +291,7 @@
 			Object value = w.getWidgetValue();
 
 			if (w.isWidgetMandatory() && value == null) {
-				System.out.println(RCPMessages.ParametersDialog_12+field);
+				System.out.println(TXMUIMessages.ParametersDialog_12+field);
 				error = true;
 			} else if (value != null) {
 				values.put(field, value);
@@ -354,7 +354,7 @@
 				field.setAccessible(true);
 				field.set(bean, value);
 			}  catch (Exception e) {
-				System.out.println(RCPMessages.ParametersDialog_14+e.getMessage());
+				System.out.println(TXMUIMessages.ParametersDialog_14+e.getMessage());
 				Log.printStackTrace(e);
 				error = true;
 			}
@@ -430,7 +430,7 @@
 							c.getDeclaredField(option.name());
 						}
 					}  catch (NoSuchFieldException e) {
-						System.out.println(RCPMessages.ParametersDialog_14+e.getMessage());
+						System.out.println(TXMUIMessages.ParametersDialog_14+e.getMessage());
 						okNames = false;
 					}
 				}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/UIParameterException.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/UIParameterException.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/UIParameterException.java	(revision 687)
@@ -1,6 +1,6 @@
 package org.txm.rcp.swt.widget.parameters;
 
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 
 public class UIParameterException extends IllegalArgumentException {
 	/**
@@ -14,7 +14,7 @@
 	private boolean error;
 
 	public UIParameterException(boolean error) {
-		super(RCPMessages.UIParameterException_0+true);
+		super(TXMUIMessages.UIParameterException_0+true);
 		this.error = error;
 	}
 	
